# Handler for OpenNebula GroupPool
#
# @author Michal Kimle
class Nifty::Backends::Utils::Opennebula::GroupHandler < Nifty::Backends::Utils::Opennebula::Handler

  # Constructor
  #
  # @see Nifty::Backends::Utils::Opennebula::Handler#initialize
  def initialize(client)
    super(client)
    @pool = OpenNebula::GroupPool.new(client)
  end

  # Returns groupt with specified name
  #
  # @param [String] name
  # @return [OpenNebula::Group] group with specified name
  def group(name)
    reload!

    pool.find { |group| group.name == name }
  end
end
