# OpenNebula event
#
# @author Michal Kimle
# @attr_reader [OpenNebula::Client] client
# @attr_reader [Array] datastores
# @attr_reader [Hash] parameters
class Nifty::Events::Opennebula::Event < Nifty::Events::Event
  attr_reader :client, :datastores, :parameters

  # Constructor
  #
  # @param [Cloud::Appliance::Descriptor::Appliance] appliance
  # @param [Nifty::TransferMethod] transfer_method
  # @param [OpenNebula::Client] client
  # @param [Array] datastores
  # @param [Hash] parameters
  def initialize(appliance, transfer_method, client, datastores, parameters)
    super(appliance, transfer_method)
    @client = client
    @datastores = datastores
    @parameters = parameters
  end
end
