# OpenNebula expiration event
#
# @author Michal Kimle
class Nifty::Events::Opennebula::ExpirationEvent < Nifty::Events::Opennebula::Event
  include Nifty::Events::Opennebula::Utils::EventsCommon

  # @see Nifty::Events::Event#event?
  def self.event?
    true
  end

  attr_accessor :image_handler, :template_handler

  # @see Nifty::Events::Opennebula::Event#initialize
  # @attr [Nifty::Backends::Utils::Opennebula::ImageHandler] image_handler
  # @attr [Nifty::Backends::Utils::Opennebula::TemplateHandler] template_handler
  def initialize(appliance, transfer_method, client, datastores, parameters)
    super(appliance, transfer_method, client, datastores, parameters)

    @image_handler = Nifty::Backends::Utils::Opennebula::ImageHandler.new(client)
    @template_handler = Nifty::Backends::Utils::Opennebula::TemplateHandler.new(client)
  end

  # @see Nifty::Events::Event#run
  def run
    logger.debug("Runnig event #{self.inspect}")

    expire_appliance(template_handler, image_handler, appliance, parameters)
  rescue Nifty::Errors::Backends::OpennebulaError, Nifty::Errors::ApiCallTimeoutError => ex
    fail Nifty::Errors::Events::EventError, ex
  end
end
