require 'settingslogic'

# Class for configuration management
#
# @author Michal Kimle
class Nifty::Settings < Settingslogic
  CONFIGURATION = 'nifty.yml'

  # three possible configuration file locations in order by preference
  # if configuration file is found rest of the locations are ignored
  source "#{ENV['HOME']}/.nifty/#{CONFIGURATION}"\
  if File.exist?("#{ENV['HOME']}/.nifty/#{CONFIGURATION}")
  source "/etc/nifty/#{CONFIGURATION}"\
  if File.exist?("/etc/nifty/#{CONFIGURATION}")
  source "#{File.dirname(__FILE__)}/../../config/#{CONFIGURATION}"

  namespace 'production'
end
